Order¶
An order consists of products that you can purchase or have already bought if the status of the order is paid.
Fields¶
Each order has a unique identifier by which it can be retrieved and a set of required and optional fields which are listed below:
field |
type |
constraints |
default |
Req |
W |
U |
|---|---|---|---|---|---|---|
orderId |
int |
– |
yes |
no |
no |
|
status |
string |
either |
no |
no |
no |
|
price |
int |
– |
yes |
no |
no |
orderId
The id of the order.
status
The status of the order.
price
The total price for this order in euro cents.
Relations¶
name |
availability |
embedded |
cardinality |
|---|---|---|---|
always |
yes |
1 |
Reference¶
GET /v2/orders/{orderId}
Retrieve a single order with the given orderId.
Example¶
Request :
GET /v2/orders/1 HTTP/1.1
Host: api.marktplaats.nl
Accept: application/json
Response :
HTTP/1.1 200 OK
Content-Type: application/json
{
"_links": {
"self": { "href": "/v2/orders" },
"curies": [
{
"name": "mp",
"href": "https://api.marktplaats.nl/docs/v2/{rel}.html",
"templated": true
}
],
"mp:payment": { "href": "/payments" }
},
"_embedded": {
"mp:order-products": [
{
"_links": {
"self": { "href": "/v2/orders/123/products/1" }
}
"productId": 1,
"description": "dagtopper",
"price": "3000"
}
]
},
"orderId": 123,
"status": "unpaid",
"price": 3000
}